Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ViewPaneAdapter

    java.lang.Object
      ru.biosoft.graphics.editor.ViewPaneAdapter

All Implemented Interfaces:
  ViewPaneListener

Direct Known Subclasses:
  SelectionManager

public class ViewPaneAdapter
extends java.lang.Object
implements ViewPaneListener

Stub for ViewPaneListener

Constructor Summary
`ViewPaneAdapter()`

Method Summary
`void` | `mouseClicked(ViewPaneEvent e)` Invoked when the mouse has been clicked on a view pane.
`void` | `mouseDragged(ViewPaneEvent e)`
`void` | `mouseEntered(ViewPaneEvent e)` Invoked when the mouse enters a view pane.
`void` | `mouseExited(ViewPaneEvent e)` Invoked when the mouse exits a view pane.
`void` | `mouseMoved(ViewPaneEvent e)`
`void` | `mousePressed(ViewPaneEvent e)` Invoked when a mouse button has been pressed on a view pane.
`void` | `mouseReleased(ViewPaneEvent e)` Invoked when a mouse button has been released on a view pane.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewPaneAdapter

    public ViewPaneAdapter()

Method Detail

### mouseClicked

    public void mouseClicked(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse has been clicked on a view pane.

  Specified by:
    `mouseClicked` in interface `ViewPaneListener`

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been pressed on a view pane.

  Specified by:
    `mousePressed` in interface `ViewPaneListener`

### mouseReleased

    public void mouseReleased(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been released on a view pane.

  Specified by:
    `mouseReleased` in interface `ViewPaneListener`

### mouseEntered

    public void mouseEntered(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse enters a view pane.

  Specified by:
    `mouseEntered` in interface `ViewPaneListener`

### mouseExited

    public void mouseExited(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse exits a view pane.

  Specified by:
    `mouseExited` in interface `ViewPaneListener`

### mouseDragged

    public void mouseDragged(ViewPaneEvent e)

  Specified by:
    `mouseDragged` in interface `ViewPaneListener`

### mouseMoved

    public void mouseMoved(ViewPaneEvent e)

  Specified by:
    `mouseMoved` in interface `ViewPaneListener`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.